cURL
curl --request GET \
--url https://api.influship.com/v1/raw/instagram/transcript/{shortcode} \
--header 'X-API-Key: <api-key>'{
"data": {
"shortcode": "<string>",
"transcript": "<string>",
"full_text": "<string>",
"word_count": 123,
"language": "<string>",
"scraped_at": "2023-11-07T05:31:56Z",
"post": {
"id": "<string>",
"shortcode": "<string>",
"display_url": "<string>",
"is_video": true,
"like_count": 123,
"comment_count": 123,
"caption": "<string>",
"taken_at": 123,
"owner_username": "<string>",
"accessibility_caption": "<string>",
"video_url": "<string>",
"thumbnail_url": "<string>",
"view_count": 123,
"carousel_items": [
{
"index": 123,
"display_url": "<string>",
"is_video": true,
"video_url": "<string>",
"thumbnail_url": "<string>"
}
],
"coauthor_usernames": [
"<string>"
],
"is_paid_partnership": true,
"sponsor_usernames": [
"<string>"
],
"tagged_usernames": [
"<string>"
],
"product_mentions": [
{
"product_id": "<string>",
"product_name": "<string>",
"merchant_username": "<string>"
}
],
"display_resources": [
{
"src": "<string>",
"config_width": 123,
"config_height": 123
}
],
"video_versions": [
{
"url": "<string>",
"id": "<string>",
"type": 123,
"width": 123,
"height": 123
}
],
"music_attribution": {
"artist_name": "<string>",
"song_name": "<string>",
"audio_id": "<string>",
"uses_original_audio": true,
"should_mute_audio": true
},
"location": {
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"has_public_page": true,
"lat": 123,
"lng": 123,
"address_json": {}
},
"is_pinned": true,
"engagement_visibility": {
"viewer_can_reshare": true,
"comments_disabled": true,
"like_and_view_counts_disabled": true
}
},
"duration_seconds": 123
}
}Live Scraping
Get Instagram Post Transcript
Transcribe an Instagram video post by shortcode and return the raw post-page data used for transcription.
Pricing: 5 credits per transcript ($0.05)
GET
/
v1
/
raw
/
instagram
/
transcript
/
{shortcode}
cURL
curl --request GET \
--url https://api.influship.com/v1/raw/instagram/transcript/{shortcode} \
--header 'X-API-Key: <api-key>'{
"data": {
"shortcode": "<string>",
"transcript": "<string>",
"full_text": "<string>",
"word_count": 123,
"language": "<string>",
"scraped_at": "2023-11-07T05:31:56Z",
"post": {
"id": "<string>",
"shortcode": "<string>",
"display_url": "<string>",
"is_video": true,
"like_count": 123,
"comment_count": 123,
"caption": "<string>",
"taken_at": 123,
"owner_username": "<string>",
"accessibility_caption": "<string>",
"video_url": "<string>",
"thumbnail_url": "<string>",
"view_count": 123,
"carousel_items": [
{
"index": 123,
"display_url": "<string>",
"is_video": true,
"video_url": "<string>",
"thumbnail_url": "<string>"
}
],
"coauthor_usernames": [
"<string>"
],
"is_paid_partnership": true,
"sponsor_usernames": [
"<string>"
],
"tagged_usernames": [
"<string>"
],
"product_mentions": [
{
"product_id": "<string>",
"product_name": "<string>",
"merchant_username": "<string>"
}
],
"display_resources": [
{
"src": "<string>",
"config_width": 123,
"config_height": 123
}
],
"video_versions": [
{
"url": "<string>",
"id": "<string>",
"type": 123,
"width": 123,
"height": 123
}
],
"music_attribution": {
"artist_name": "<string>",
"song_name": "<string>",
"audio_id": "<string>",
"uses_original_audio": true,
"should_mute_audio": true
},
"location": {
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"has_public_page": true,
"lat": 123,
"lng": 123,
"address_json": {}
},
"is_pinned": true,
"engagement_visibility": {
"viewer_can_reshare": true,
"comments_disabled": true,
"like_and_view_counts_disabled": true
}
},
"duration_seconds": 123
}
}Authorizations
Path Parameters
Instagram post shortcode from a /p/, /reel/, or /tv/ URL
Minimum string length:
1Example:
"C0ABC123xyz"
Query Parameters
Optional language code for transcription. Omit to auto-detect.
Example:
"en"
Response
Successful response
Show child attributes
Show child attributes
⌘I